Table of Contents

Class: Connector | Twisted-0.19.0/twisted/internet/tcp.py
--- | ---
Connect a protocol to a server using TCP and if it fails make a new one.
Methods |
--- | ---
__getstate__ __init__ connectionFailed connectionLost getProtocol startConnecting
| __getstate__
    __getstate__ ( self )
| __init__
    __init__ (
            self,
            host,
            portno,
            protocolFactory,
            timeout=30,
            )
| connectionFailed
    connectionFailed ( self )
| connectionLost
    connectionLost ( self )
| getProtocol
    getProtocol ( self )
Get the current protocol instance.
| startConnecting
    startConnecting ( self )

Table of Contents

This document was automatically generated on Sun Jul 14 19:52:41 2002 by HappyDoc version 2.0